Skip to main content
GET
/
api
/
v1
/
providers
List Providers
curl --request GET \
  --url https://api.example.com/api/v1/providers \
  --header 'Authorization: Basic <encoded-value>'
{
  "items": [
    {
      "source": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "origin": "<string>",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_card": {
        "capabilities": {
          "extensions": [
            {
              "uri": "<string>",
              "description": "<string>",
              "params": {},
              "required": true
            }
          ],
          "pushNotifications": true,
          "stateTransitionHistory": true,
          "streaming": true
        },
        "defaultInputModes": [
          "<string>"
        ],
        "defaultOutputModes": [
          "<string>"
        ],
        "description": "<string>",
        "name": "<string>",
        "skills": [
          {
            "description": "<string>",
            "id": "<string>",
            "name": "<string>",
            "tags": [
              "<string>"
            ],
            "examples": [
              "I need a recipe for bread"
            ],
            "inputModes": [
              "<string>"
            ],
            "outputModes": [
              "<string>"
            ],
            "security": [
              {
                "google": [
                  "oidc"
                ]
              }
            ]
          }
        ],
        "url": "<string>",
        "version": "<string>",
        "additionalInterfaces": [
          {
            "transport": "<string>",
            "url": "<string>"
          }
        ],
        "documentationUrl": "<string>",
        "iconUrl": "<string>",
        "preferredTransport": "JSONRPC",
        "protocolVersion": "0.3.0",
        "provider": {
          "organization": "<string>",
          "url": "<string>"
        },
        "security": [
          {
            "oauth": [
              "read"
            ]
          },
          {
            "api-key": [],
            "mtls": []
          }
        ],
        "securitySchemes": {},
        "signatures": [
          {
            "protected": "<string>",
            "signature": "<string>",
            "header": {}
          }
        ],
        "supportsAuthenticatedExtendedCard": true
      },
      "state": "missing",
      "type": "managed",
      "managed": true,
      "env": [
        {
          "name": "<string>",
          "description": "<string>",
          "required": false
        }
      ],
      "auto_stop_timeout": "PT20M",
      "version_info": {
        "docker": {
          "registry": "<string>",
          "repository": "<string>",
          "tag": "<string>",
          "digest": "<string>",
          "image_id": "<string>"
        },
        "github": {
          "org": "<string>",
          "repo": "<string>",
          "version": "<string>",
          "version_type": "head",
          "commit_hash": "<string>",
          "host": "github.com",
          "path": "<string>"
        }
      },
      "registry": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "last_active_at": "2023-11-07T05:31:56Z",
      "last_error": {
        "message": "<string>"
      },
      "missing_configuration": [
        {
          "name": "<string>",
          "description": "<string>",
          "required": false
        }
      ]
    }
  ],
  "total_count": 123,
  "next_page_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "has_more": false
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

user_owned
boolean | null
origin
string | null

Response

Successful Response

items
ProviderWithStateResponse · object[]
required
total_count
integer
required
next_page_token
string<uuid> | null
required
has_more
boolean
default:false